tigase.kernel.beans.config

## Class AbstractBeanConfigurator.BeanDefinition.Builder

- java.lang.Object
- - tigase.conf.AbstractConfigBuilder<AbstractBeanConfigurator.BeanDefinition,AbstractBeanConfigurator.BeanDefinition.Builder>
  - - tigase.kernel.beans.config.AbstractBeanConfigurator.BeanDefinition.Builder

- Enclosing class:
    AbstractBeanConfigurator.BeanDefinition

      public static class AbstractBeanConfigurator.BeanDefinition.Builder
      extends AbstractConfigBuilder<AbstractBeanConfigurator.BeanDefinition,AbstractBeanConfigurator.BeanDefinition.Builder>

- - ### Field Summary

    - ### Fields inherited from class tigase.conf.AbstractConfigBuilder

      `map`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Builder()`
    `Builder(Map<String,Object> parent)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `AbstractBeanConfigurator.BeanDefinition.Builder` | `active(boolean active)`
    `AbstractBeanConfigurator.BeanDefinition` | `build()`
    `AbstractBeanConfigurator.BeanDefinition.Builder` | `clazz(Class<?> clazz)`
    `AbstractBeanConfigurator.BeanDefinition.Builder` | `clazz(String clazz)`
    `AbstractBeanConfigurator.BeanDefinition.Builder` | `name(String name)`

    - ### Methods inherited from class tigase.conf.AbstractConfigBuilder

      `bean, property, with, with, with, withBean`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Builder

          public Builder(Map<String,Object> parent)

    - #### Builder

          public Builder()

  - ### Method Detail

    - #### active

          public AbstractBeanConfigurator.BeanDefinition.Builder active(boolean active)

    - #### name

          public AbstractBeanConfigurator.BeanDefinition.Builder name(String name)

    - #### clazz

          public AbstractBeanConfigurator.BeanDefinition.Builder clazz(Class<?> clazz)

    - #### clazz

          public AbstractBeanConfigurator.BeanDefinition.Builder clazz(String clazz)

    - #### build

          public AbstractBeanConfigurator.BeanDefinition build()

      Overrides:
        `build` in class `AbstractConfigBuilder<AbstractBeanConfigurator.BeanDefinition,AbstractBeanConfigurator.BeanDefinition.Builder>`

Copyright © 2004–2019 "Tigase, Inc.". All rights reserved.